//定义接口参数
export interface NodeinfoParam {

}

export interface NodeAddParam {
  name: string;
  host: string;
  port: number;
  url: string;
  pingType: number;
}


export interface INodeList{
  nodeList : INode[]
}

export interface INode {
  id: number;
  name: string;
  host: string;
  port: number;
  url: string;
  UrlRecover: string;
  updateAt: string;
  createAt: string;
  pingType: number;
  urlStatus: number;
  nodeMs : number;
  urlCount : number;
  urlRet : number;
  isNotice : number;
  url1: string;
  url2: string;
}


export interface RetEntry {
  name: string;
  time: string;
}

export interface TaskNode {
  retEntry: RetEntry[];
  retCronCount: number;
  status: number;
}


export interface Node {
  id: number;
  Name: string;
  Host: string;
}

export interface PingLog {
  serverid: number;
  avgdelay: string;
  createAt: string;
}

export interface NodeItme {
  Node: Node;
  PingLog: PingLog[];
}

export interface NodeItmeData {
  NodeItme: NodeItme[];
}

export interface NodeStatus {
  Id: number;
  Name: string;
  Host: string;
  Serverid: number;
  Avgdelay: string;
  CreateAt: string;
}