import {INode} from "/@/model/node";
export interface Node {
    Id: number;
    Name: string;
    Host: string;
}

export interface NodeConfig {
    Id: number;
    Serverid: number;
    Sshcommand: string;
    Sshpassword: string;
    Sshusername: string;
}

export interface NodeConfigItem {
    Node: INode;
    NodeConfig: NodeConfig[];
}

export interface NodeConfigData {
    NodeConfigItem: NodeConfigItem[];
}

export interface NodeData {
    nodeList: NodeConfigItem[];
}

export interface NodeConfigInfo {
    Id: number;
    Serverid:number;
    Name: string;
    Host: string;
    Sshcommand: string;
    Sshpassword: string;
    Sshusername: string;
}


export interface NodeInfo extends INode{

    Serverid:number;
    Sshcommand: string;
    Sshpassword: string;
    Sshusername: string;
}

